/**
 * Konfigurasi IP Whitelist untuk Admin Panel
 * 
 * File ini berisi daftar alamat IP yang diizinkan untuk mengakses panel admin.
 * IP yang tidak terdaftar di sini akan dialihkan ke halaman 404.
 * 
 * Format:
 * - Anda dapat menambahkan IP lengkap (contoh: 192.168.1.5)
 * - Atau bagian dari IP dengan * sebagai wildcard (contoh: 192.168.1.*)
 */

const ipWhitelist = [
    '127.0.0.1',         // Localhost
    '::1',               // Localhost IPv6
    '192.168.0.*',       // Semua IP dalam jaringan 192.168.0.x
    '192.168.1.*',       // Semua IP dalam jaringan 192.168.1.x
    // Tambahkan IP lain yang diizinkan di sini
    '110.232.82.3'
];

module.exports = ipWhitelist; 