document.addEventListener('DOMContentLoaded', function() {
    // Inisialisasi image loader dengan animasi custom
    setTimeout(() => {
        initImageLoader();
    }, 100); // Tunda sebentar untuk memastikan halaman sudah siap
});

function initImageLoader() {
    // Transparent placeholder
    const transparentPlaceholder = 'data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7';
    
    // Target semua gambar post card
    const postImages = document.querySelectorAll('.winner-card-img');
    
    // Proses setiap gambar
    postImages.forEach(img => {
        // Simpan sumber gambar asli
        const originalSrc = img.getAttribute('data-original-src') || img.getAttribute('src');
        
        // Set placeholder transparan
        img.setAttribute('src', transparentPlaceholder);
        
        // Buat kontainer loader
        const loaderContainer = document.createElement('div');
        loaderContainer.className = 'image-loader-container';
        
        // Buat elemen loader custom
        const loader = document.createElement('div');
        loader.className = 'custom-loader';
        
        // Buat elemen spinner dengan teks JACKPOT
        const spinnerText = document.createElement('div');
        spinnerText.className = 'spinner-text';
        spinnerText.innerHTML = `
            <div class="spinner-circle"></div>
            <div class="spinner-jackpot">
                <span>J</span>
                <span>A</span>
                <span>C</span>
                <span>K</span>
                <span>P</span>
                <span>O</span>
                <span>T</span>
            </div>
        `;
        
        // Tambahkan spinner ke loader
        loader.appendChild(spinnerText);
        
        // Tambahkan loader ke container
        loaderContainer.appendChild(loader);
        
        // Masukkan container loader sebagai anak pertama dalam parent container
        img.parentNode.insertBefore(loaderContainer, img.parentNode.firstChild);
        
        // Buat objek gambar baru untuk preload
        const newImg = new Image();
        newImg.onload = function() {
            // Setelah dimuat, atur sumber gambar aktual dan mulai tampilkan
            img.setAttribute('src', originalSrc);
            
            // Fade out loader
            loaderContainer.style.opacity = '0';
            
            // Hapus loader setelah transisi
            setTimeout(() => {
                if (loaderContainer.parentNode) {
                    loaderContainer.parentNode.removeChild(loaderContainer);
                }
            }, 300);
        };
        
        // Tangani kesalahan loading
        newImg.onerror = function() {
            // Jika loading gagal, coba fallback atau sembunyikan loader
            img.setAttribute('src', originalSrc);
            loaderContainer.style.opacity = '0';
            
            // Hapus loader setelah transisi
            setTimeout(() => {
                if (loaderContainer.parentNode) {
                    loaderContainer.parentNode.removeChild(loaderContainer);
                }
            }, 300);
        };
        
        // Mulai loading gambar
        newImg.src = originalSrc;
    });
} 