# Required Images for Sidebar Navigation

For the sidebar navigation to work properly, the following images should be placed in this directory:

## Game-Specific Images
These images should be 800x450px for best results:

1. `gates-olympus.jpg` - For Gates of Olympus slot games
2. `sweet-bonanza.jpg` - For Sweet Bonanza slot games
3. `starlight-princess.jpg` - For Starlight Princess slot games
4. `mahjong-ways.jpg` - For Mahjong Ways slot games
5. `default-jackpot.jpg` - Default fallback for other slot games

## Pattern Image
This image is used for the animated background pattern:

6. `jackpot-pattern.png` - A 300x300px transparent PNG with a diagonal pattern

## Quick Image Downloads

You can download sample images for these files from these sources:

1. [Sample Slot Game Images](https://unsplash.com/s/photos/game)
   - Download and rename them to match the required filenames
   
2. For the jackpot pattern, you can use a simple diagonal pattern from:
   - [Subtle Patterns](https://www.toptal.com/designers/subtlepatterns/)

## Alternative: Creating Placeholder Images

If you have Node.js installed, you can install and use the Canvas library to generate these images:

1. Install required packages:
   ```
   npm install canvas
   ```

2. Create a script file (create-images.js) with the JavaScript code from create-placeholder-images.js

3. Run the script:
   ```
   node create-images.js
   ```

This will generate all the required images with appropriate styling.

## Important Note

Without these images, the sidebar navigation will show empty blue boxes or fall back to basic styling. Make sure to add all these images for the best visual experience. 